Bug 14614 - in /usr/lib/rpm/macros: paths for utils are set to these of build[!]-platform
in /usr/lib/rpm/macros: paths for utils are set to these of build[!]-platform
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2000-07-25 10:03 EDT by mp
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-09-14 14:05:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description mp 2000-07-25 10:03:31 EDT
If I have some personal path settings during time of ``rpm -ba rpm.spec'',
these very personal paths find their way into the deployed
/usr/lib/rpm/macros.  So everybody ``inherits'' these paths, which are
of course generally wrong at rpm-runtime.

Default path settings for the target platform have to be used instead.

This is another situation, where a class model for hardware-platform,
operating system and distribution would clean-up the situation.
Then the ``distribution''-object would provide all the paths for its 
system utilities [+ some other properties].
Comment 1 Jeff Johnson 2000-07-25 13:19:47 EDT
Control for your path when building rpm. Otherwise, correct your configuration
after building.

Eventually, paths to executables will be in static per-platform configuration,
but there is as yet
insufficient need or utility in undertaking that effort.
Comment 2 Jeff Johnson 2000-12-30 14:31:57 EST
This is an rpm configuration issue, and there is certainly sufficient mechanism
already within rpm
to control for paths to executables if you define macros in ~/.rpmmacros and/or

Note You need to log in before you can comment on or make changes to this bug.